module Rakka.Resource.CheckAuth
    ( resCheckAuth
    )
    where

import           Network.HTTP.Lucu
import           Rakka.Environment
import           Rakka.Resource


resCheckAuth :: Environment -> ResourceDef
resCheckAuth env
    = ResourceDef {
        resUsesNativeThread = False
      , resIsGreedy         = False
      , resGet
          = Just $
            do userID <- getUserID env
               case userID of
                 Just _  -> setStatus NoContent
                 Nothing -> setStatus Forbidden
      , resHead             = Nothing
      , resPost             = Nothing
      , resPut              = Nothing
      , resDelete           = Nothing
      }
